cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How to upgrade dyantrace server to use TLS 1.2?

michael_brauner
Newcomer

We need to update to TLS 1.2 on a linux server.


1 REPLY 1

CharlesWu
Guide

Just wanted to share with you how I did that:

In your DT home directory, edit both dtfrontendserver.ini and dtserver.ini file with the following setting:

-Dcom.dynatrace.diagnostics.ssl.protocols.unsafe=TLSv1,TLSv1.1

which will disable both TLSv1 and TLSv1.1, and only allow TLSv2. You can run a test:

openssl s_client -connect server_name:9911 -tls1_1

which will tell you TLSv1.1 is disabled.